#include <fstream>
using namespace std;
ifstream f("dnton.inp");
ofstream f1("dnton.out");
int main()
{
int i,N,j,flag;
f>>N;
for (i=2;i<N;i++)
{
    flag=1;
    for(j=2;j<=i/2;j++)
    {
    if(i%j==0)
    {
    flag =0;
     break;
    }}

    if(flag==1)
        f1<<i<<"\n";
}
return 1;
}
